# Function applyMoveAttrs

- applyMoveAttrs(attrType, user, target, move, ...args): Promise<void>

- #### Parameters

  - attrType: (new (...args) => MoveAttr )
    - - new (...args): MoveAttr

      - #### Parameters

        - `Rest` ...args: any[]

        #### Returns MoveAttr

  - user: default
  - target: default
  - move: default
  - `Rest` ...args: any[]

  #### Returns Promise<void>

  - Defined in src/data/move.ts:5255